bool CheckAFM(string afm)
{
    long remainder, sum;
    int nn, k;

    if (afm.Length != 9)
        return false;
    for (nn = 2, k = 7, sum = 0; k >= 0; k--, nn += nn)
        sum += nn * (afm[k] - '0');
    remainder = sum % 11;

    return (remainder == 10)
        ? afm[8] == '0'
        : (afm[8] - '0') == remainder;
}
